<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryBTreeDatabase..::.Open Method (String, SecondaryBTreeDatabaseConfig)
SecondaryBTreeDatabase Class See Also Send Feedback

Instantiate a new SecondaryBTreeDatabase object, open the database represented by Filename and associate the database with the primary index.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public static SecondaryBTreeDatabase Open(
    	string Filename,
    	SecondaryBTreeDatabaseConfig cfg
    )

Visual Basic (Declaration)

    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As SecondaryBTreeDatabaseConfig _
    ) As SecondaryBTreeDatabase

Visual C++

    public:
    static SecondaryBTreeDatabase^ Open(
    	String^ Filename,
    	SecondaryBTreeDatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

cfg
  Type: BerkeleyDB..::.SecondaryBTreeDatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If Filename is null, the database is strictly temporary and cannot be opened by any other thread of control, thus the database can only be accessed by sharing the single database object that created it, in circumstances where doing so is safe.

If AutoCommit is set, the operation will be implicitly transaction protected. Note that transactionally protected operations on a datbase object requires the object itself be transactionally protected during its open.

# See Also

SecondaryBTreeDatabase Class
Open Overload
BerkeleyDB Namespace